Subject: RE: bug#33292: issue : Mask sensitive data in apache logs using sed

From: "Behgal, Vikram" <[email-masked]>
Date: Tue, 13 Nov 2018 04:41:25 +0000

Hi Assaf,

I tried sed without it. Its worked fine.
I just want to give standard input from apache logs to the sed and write output to the file.
Is there any command to achieve this. Jut for standard input and output rather than reading from file.

- Vikram

-----Original Message-----
From: Assaf Gordon <[email-masked]> 
Sent: 13 November, 2018 12:10 AM
To: Behgal, Vikram <[email-masked]>; [email-masked]
Subject: Re: bug#33292: issue : Mask sensitive data in apache logs using sed

Hello,

On 2018-11-12 3:41 a.m., Behgal, Vikram wrote:
> Hi,
> 
> I am trying to achieve the solution mentioned at 
> https://emea01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fser
> verfault.com%2Fquestions%2F220963%2Fpreventing-an-apache-2-server-from
> -logging-sensitive-data&amp;data=02%7C01%7CVikram.Behgal%40basware.com
> %7Ce9ce29eaa7354733e34908d648ce32c0%7C9737b55a445548e48c47a26a6ee65c97
> %7C1%7C0%7C636776447779438126&amp;sdata=aggGhN%2BOVX54EBatu5%2FUDHEUV0
> 4u%2FoFUYf6nBaBH4Ok%3D&amp;reserved=0
> Here are the details of issues : 
> https://emea01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdeb
> bugs.gnu.org%2Fcgi%2Fbugreport.cgi%3Fbug%3D33292&amp;data=02%7C01%7CVi
> kram.Behgal%40basware.com%7Ce9ce29eaa7354733e34908d648ce32c0%7C9737b55
> a445548e48c47a26a6ee65c97%7C1%7C0%7C636776447779438126&amp;sdata=x5cJK
> dFue%2BEEgtfNm1KvrlGYLjQvSoAbIVkd75RKhoI%3D&amp;reserved=0
> 
[...]
> 
> Its urgent to me. Please le me know what more information I can provide.

We can help with sed issues, but not with apache issues.

If you have a specific error message generated by sed, please tell us the error.

As written here:
https://emea01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdebbugs.gnu.org%2Fcgi%2Fbugreport.cgi%3Fbug%3D33292%238&amp;data=02%7C01%7CVikram.Behgal%40basware.com%7Ce9ce29eaa7354733e34908d648ce32c0%7C9737b55a445548e48c47a26a6ee65c97%7C1%7C0%7C636776447779438126&amp;sdata=kBisAJICB%2BTGt6l1OT0BrBR9zSmzjbgshLCbhJpcjlo%3D&amp;reserved=0
compared to the ServerFault answer, you have an extraneousness "-i"
parameter that might cause unexpected results.

Did you try running sed without it ?

-assaf